# (tv) fix build:
%define debug_package %{nil}

%global commit f8bd136
%global git git20250213

Name:		tcc
Version:	0.9.28
Release:	%mkrel 0.%{?git:%git.}2
Summary:	Tiny C Compiler
License:	LGPLv2+
Group:		Development/C
URL:		https://bellard.org/tcc/
#Source0:	https://download.savannah.nongnu.org/releases/tinycc/%%{name}_%%{version}.tar.bz2
Source0:	https://repo.or.cz/tinycc.git/snapshot/%{commit}.tar.gz#/%{name}_%{version}%{?git:+%git}.tar.gz
Patch0:		tcc-0.9.28-arm.patch
BuildRequires:	texinfo

Provides:	tinycc = %{version}-%{release}

%description
Tiny C Compiler - C Scripting Everywhere - The Smallest ANSI C
compiler.


%prep
%autosetup -p1 -n tinycc-%{commit}

# path fix
find -type f | xargs perl -pi -e "s|^#\!/usr/local/bin|#\!%{_bindir}|g"

# fix attribs
chmod 644 examples/*

# Don't strip
sed -i -e 's|STRIP_yes = -s|STRIP_yes =|' Makefile

%build
%configure --debug --triplet=%{_build} --disable-static --disable-rpath
%__make

%install
%make_install

# cleanup
rm -rf %{buildroot}%{_docdir}/tcc

%files
%doc Changelog README TODO *.html examples
%license COPYING
%exclude %{_docdir}/tcc-doc.html
%{_bindir}/*
%{_libdir}/tcc/
%{_libdir}/libtcc.so
%{_includedir}/*.h
%{_infodir}/tcc-doc*
%{_mandir}/man1/tcc.1*


%changelog
* Sun Feb 23 2025 daviddavid <daviddavid> 0.9.28-0.git20250213.2.mga10
+ Revision: 2151555
- fix arm32 build
- update to latest git snapshot as of 20250213 (0.9.28rc)

* Wed Jul 06 2022 pterjan <pterjan> 0.9.27-9+git20200814.62c30a4a.mga9
+ Revision: 1867858
- Treat armv7hl-mageia-linux-gnueabi as hard float even if not using gnueabihf

* Wed Jul 06 2022 pterjan <pterjan> 0.9.27-8+git20200814.62c30a4a.mga9
+ Revision: 1867854
- Specify triplet to hopefully fix build on armv7hl

* Wed Apr 06 2022 tv <tv> 0.9.27-7+git20200814.62c30a4a.mga9
+ Revision: 1846539
- New upstream snapshot, thus fixing build
- Explicitely enable debuginfo
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.9.27-6.mga8
+ Revision: 1522587
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jan 27 2019 daviddavid <daviddavid> 0.9.27-5.mga7
+ Revision: 1361253
- update to final release 0.9.27 (mga#24246)
- fix owner of lib dir
- fix license
- fix also libraries path for aarch64

* Sun Sep 02 2018 tv <tv> 0.9.27-4.mga7
+ Revision: 1256289
- rely on filetriggers for info system (mga#23482)

* Thu Sep 14 2017 tv <tv> 0.9.27-3.mga7
+ Revision: 1153806
- new git snapshot from debian
- rediff ARM patch

* Sun Feb 07 2016 daviddavid <daviddavid> 0.9.27-2.mga6
+ Revision: 942302
- fix file list for arm

* Sat Feb 06 2016 tv <tv> 0.9.27-1.mga6
+ Revision: 942147
- new git snapshot from debian
- rediff ARM patch
- fix build
- adjust filelist

* Sat Feb 06 2016 wally <wally> 0.9.26-6.mga6
+ Revision: 942114
- fix arm build

* Sat Feb 06 2016 umeabot <umeabot> 0.9.26-5.mga6
+ Revision: 940209
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.26-4.mga5
+ Revision: 745596
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.26-3.mga5
+ Revision: 689733
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.26-2.mga4
+ Revision: 532839
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 tv <tv> 0.9.26-1.mga4
+ Revision: 469683
- adjust file list
- BR texinfo
- new release
- fix build
- register info

* Mon Jan 14 2013 umeabot <umeabot> 0.9.25-5.mga3
+ Revision: 384141
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.9.25-4.mga3
+ Revision: 324787
- rebuild for Mga3 Beta1

* Sat Jan 21 2012 kamil <kamil> 0.9.25-3.mga2
+ Revision: 199190
- adapt package for Mageia
- imported package tcc


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.25-2mdv2011.0
+ Revision: 615165
- the mass rebuild of 2010.1 packages

* Tue Dec 01 2009 Thierry Vignaud <tv@mandriva.org> 0.9.25-1mdv2010.1
+ Revision: 472432
- adjust file list for both x86_64 and ia32
- enable build on x86_64 and fix path (patch 3)
- drop patches 1 & 2 (uneeded)
- replace patch 0 by a one-liner perl command
- fix installing
- use %%configure2_5x
- adjust file list
- new release
- new URL
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.9.23-6mdv2009.0
+ Revision: 242855
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 10 2007 Pascal Terjan <pterjan@mandriva.org> 0.9.23-4mdv2008.0
+ Revision: 61306
- Rebuild to sync x86_64


* Mon Feb 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.9.23-3mdv2007.0
+ Revision: 122783
- rebuild in order to get the same extension on x86_64
- Import tcc

* Mon Jun 05 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.23-2mdv2007.0
- fix #22862 (P1)
- added debian patches

* Fri Jun 02 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.23-1mdv2007.0
- 0.9.23

* Wed May 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.9.22-2mdk
- use %%mkrel 2
- rebuild with new toolchain

* Fri May 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.22-1mdk
- 0.9.22
- added P0 by Paul Furber to make is somewhat work under x86_64

* Sat Apr 24 2004 Michael Scherer <misc@mandrake.org> 0.9.20-1mdk
- New release 0.9.20

